List alerts for an incident
List alerts for the specified incident.
An incident represents a problem or an issue that needs to be addressed and resolved.
For more information see the API Concepts Document
Scoped OAuth requires: incidents.read
Authorization
api_key The API Key with format Token token=<API_KEY>
In: header
Path Parameters
The ID of the resource.
Query Parameters
The number of results per page.
Offset to start pagination search results.
By default the total field in pagination responses is set to null to provide the fastest possible response times. Set total to true for this field to be populated.
See our Pagination Docs for more information.
falseAlert de-duplication key.
Return only alerts with the given statuses. (More status codes may be introduced in the future.)
Value in
- "triggered"
- "resolved"
Used to specify both the field you wish to sort the results on (created_at/resolved_at), as well as the direction (asc/desc) of the results. The sort_by field and direction should be separated by a colon. A maximum of two fields can be included, separated by a comma. Sort direction defaults to ascending.
items <= 2Value in
- "created_at"
- "resolved_at"
- "created_at:asc"
- "created_at:desc"
- "resolved_at:asc"
- "resolved_at:desc"
Array of additional details to include.
Value in
- "services"
- "first_trigger_log_entries"
- "incidents"
Header Parameters
The Accept header is used as a versioning header.
"application/vnd.pagerduty+json;version=2""application/json"Value in
- "application/json"
Response Body
application/json
application/json
application/json
application/json
application/json
Get Related Incidents GET
Returns the 20 most recent Related Incidents that are impacting other Responders and Services. Note: This feature is currently available as part of the Event Intelligence package or Digital Operations plan only. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#related_incidents) Scoped OAuth requires: `incidents.read`
List log entries for an incident GET
List log entries for the specified incident. An incident represents a problem or an issue that needs to be addressed and resolved. A Log Entry are a record of all events on your account. For more information see the [API Concepts Document](https://developer.pagerduty.com/api-reference/a47605517c19a-api-concepts#incidents) Scoped OAuth requires: `incidents.read`